
## Word usage: 想

The word 想 in Chinese carries various meanings:

1.  想 + noun/noun-phrase = to miss somebody/something:

        丁雲很想家。
            Ding Yun misses her family very much.
        我很想我的爸爸媽媽。
            I miss my parents very much.
        你不想你的男朋友嗎﹖
            Don't you miss your boyfriend?
        你想不想她﹖
            Do you miss her?

2.  想 + verb/verb-phrase = to want to do something:

        A: 你想去商店嗎﹖
            Do you want to go to the shop?
        B: 我不想去。
            I don't want to go.

        A: 你想不想學法語﹖
            Do you want to study French?
        B: 我也想學法語。
            I also want to study French.

3.  想 + clause = to think/suppose something:

        我想她是中國人。
            I think she is Chinese.
        我想她爸爸媽媽都是大夫。
            I think her parents are both doctors.

    N.B. to negate a sentence with 想 in this capacity, put the negative
    adverb in the /subordinate clause/, not in the main clause as in
    English:

        我想她/不是/中國人。
            I don't think she is Chinese.
        but not 我不想她是中國人。

N.B. 想 as a verb can use the affirmative-negative question form /only/
in senses 1 and 2 above, not in 3.
