
## Grammar notes

1.  的 construction

    A modifier (normally either a noun, a pronoun, a verb or an
    adjective) with the word 的 can function as a noun or noun-phrase in
    a sentence, and can stand by itself if the context is clear:

        這條裙子是我姐姐的。
            This skirt is my sister's. Noun + 的)
        哪本詞典是你的﹖
            Which dictionary is yours? Pronoun + 的
        你爸爸的車是白的嗎﹖
            Is your father's car a white one? Adjective + 的
        你喝的是什麼茶﹖
            What sort of tea do you drink? Verb + 的

    These constructions normally involve the verb 是 (or 不是).

2.  Usage of 從

    從 + place word + 去 = to go from; 從 + place word + 來 = to come from.

        e.g. 你從哪兒來﹖
            Where did you come from?
        我從圖書館來。
            I came from the library.
        我們晚上從我家去劇場。
            We are going from my home to the theatre tonight.

3.  Noun/Pronoun + 這兒 / 那兒 = over here/there at ...'s place

    When a noun or pronoun is added to 這兒 or 那兒, they function as a
    place word or expression. Since one cannot say 我去她 (I went to
    her), one can say instead 我去她那兒 (I went to her place), because
    她那兒 is now regarded as a place expression. Similarly one cannot
    say 你的裙子在我 (Your skirt is with me), but one can say 你的裙子在
    我這兒 (Your skirt is with me). More examples:

        你的書在他那兒。
            Your book is at his place.
        我們都去姐姐那兒。
            We all went to my sister's place.
        老師來我這兒找她。
            The teacher is coming to my place to look for her.

    As is obvious, if the place or the person is away from the speaker,
    use 那兒; if the place is near the speaker or refers to the speaker
    himself or herself, use 這兒.

4.  太 + adjective + 了

    This pattern is often used for emphatic purposes. An adjective is
    used between 太 and 了:

        太忙了﹗
            Too busy!
        太大了﹗
            Too big!

    The expression 太好了﹗, however, has a positive meaning, expressing
    satisfaction or admiration.
