
## The use of the time-words 以前 and 以後

When used by itself, 以前 means "previously" or "before" and 以後 means
"later", "afterwards" or "in the future":

    我以前是學生﹐現在是老師。
        I was a student before; now I am a teacher.
    你以前在哪兒工作﹖
        Where did you work before?
    以前我不住宿舍﹐現在住宿舍。
        I did not live in a dormitory before, but now I do.

When used together with a time-word or verb phrase, 以前 means
"before..." and 以後 means "after...":

    十點以前我不回家。
        I won't go home before 10.
    回家以前我在閱覽室看書。
        I read books in the reading-room before I go home.
    來美國以後他在這兒工作。
        He has been working here after he came to America.
    十點半以後你在宿舍作什麼﹖
        What do you do in your dorm after 10:30?

N.B. When 以前 or 以後 is used together with a time-word or verb phrase
to mean "before" or "after", the word order is exactly the opposite of
the English equivalent:

    四點以前
        before 4 o'clock
    下課以前
        before the class is over
    明天晚上以後
        after tomorrow evening (or night)
    回宿舍以後
        after returning to the dormitory
