
## Pivotal Sentences with 請, 讓, 叫

In Chinese a sentence can contain several verbs. A pivotal sentence is
one in which the object of the first verb is at the same time the
subject of the following verb. This object therefore functions as a
pivot, connecting the two verb clauses in the sentence.

The first verb in a pivotal sentence is often a causative verb (to cause
something to happen) such as 請, 讓 or 叫. All three carry the meaning
of asking somebody to do something. Of the three, 請 is the most polite;
讓 is less so, and 叫 is the least polite. So watch out for the
occasions when these verbs can be used appropriately. Observe:

    學生請王老師介紹中國音樂。
        The students asked Professor Wang to introduce Chinese music.
    老師讓學生每天寫漢字。
        The teacher asked students to write Chinese characters every day.
    爸爸叫孩子學中文。
        Dad asked his child to study Chinese.

Notice that although the English equivalents all employ "to ask", the
Chinese sentences use different words to indicate various degrees of
politeness.

Note:

1.  Besides the use of 請 above (meaning "to ask someone to do
    something"), 請 can also be used to mean "to invite":

        我們請他來吃晚飯。
            We invited him to dinner.
        你想請他今天晚上去看電影嗎﹖
            Do you want to invite him to a movie tonight?

2.  To negate a pivotal sentence, put the negative adverb 不 /before the
    first verb/:

        我的大夫不讓我喝酒。
            My doctor doesn't let me drink alcohol.
        他們不叫我去看電影。
            They did not invite me to go to the pictures.
