
## Expressions for the date, week, month and year

1.  年, year
    1.  去年 = last year; 今年 = this year; 明年 = next year

    2.  一九九七年, 一九九八年, ...

    3.  一年 = one year; 兩年 = two years (not 二年); 三年 = three years
        每年 = every year; 五年半 = five-and-a-half years

2.  月, month
    1.  上個月= last month; 這個月 = this month; 下個月 = next month

    2.  一月 = January; 二月 = February (not 兩月); ... 二十月 = December

3.  星期, week
    1.  上 (個) 星期 = last week; 這 (個) 星期 = this week; 下 (個) 星期
        = next week

    2.  星期一 = Monday; 星期二 = Tuesday; ... 星期六 = Saturday; 星期日
        or 星期天 = Sunday

    3.  一 (個) 星期 = one week; 兩 (個) 星期 = two weeks (not 二 (個)
        星期); 三 (個) 星期 = three weeks; 四個半星期 = four-and-a-half
        weeks; ... 每 (個) 星期 = every week

4.  日 / 號 / 天 date

    Use 日 or 號 for a /specific/ date. Usually 日 is used in written
    and formal language and 號 is used in conversation. The word 天
    should be used in /counting/ the number of days:

    1.  作天 = yesterday; 今天 = today; 明天 = tomorrow

    2.  一號; 二號 (not 兩號); ... 三十一號
        四月六號; 十月二十五日; ...

    3.  一天 = one day; 兩天 = two days (not 二天); ... 半天 = half a
        day; 每天 = every day

Some notes:

1.  When there are several units, the bigger comes first and the
    calendar date comes before the day of the week:

        一九九六年十一月二十五號星期一
        一七八九年七月十四日

2.  Notice the following special ways of expressing the date and month:

        今年五月
            the May of this year (whether it has passed or not)
        去年八月
            the August of last year
        明年二月
            the February of next year

        這 (個) 星期五
            the Friday of this week (whether it has passed or not)
        上 (個) 星期一
            the Monday of last week
        下 (個) 星期四
            the Thursday of next week

    Note the English phrase "last Monday" may therefore be rendered as
    這個星期一, if Monday has already passed and the phrase is therefore
    referring to Monday of this week. The same applies for future days,
    and for months.
