
## Patterns for Location

There are three ways to indicate the location of something, using 在, 有
and 是 respectively and with different meanings:

1.  To show that there is something in a certain place: 有

    Position word + 有 + indefinite noun:

        後邊有什麼﹖
            What is behind?
        後邊有一個車房。
            There is a garage behind.
        我們家對面有一個公園。
            Across from our home, there is a park.

2.  To show that certain things exist in certain places: 在

    Definite noun + 在 + position word:

        花園在哪兒﹖
            Where is the garden?
        花園在我們家後邊。
            The garden is behind our house.
        花園在車房 (的) 右邊。
            The garden is to the right of the garage.

3.  To identify something that is known to exist at a certain place: 是

    Position word + 是 + definite/indefinite noun:

        你們家後邊是什麼﹖
            What's behind your house?
        我們家後邊是一個花園。
            Behind our house is a garden.
        他們家前邊是學院的圖書館。
            In front of their house is the college library.
