
## Grammar Notes

1.  Measure word 些

    些 is a measure word showing indefinite quantity. It is usually used
    after demonstrative pronouns such as 這, 那, 哪 and after the
    numeral 一:

        一些
            some
        這些
            these
        那些
            those
        哪些
            which (plural)

    Don't attempt to mix 些 with definite measures. It is wrong to say
    這些三本詞典 (these three dictionaries); one can only say 這三本詞典.

2.  是 . . . 的 construction

    Earlier we saw the construction with simple nouns, pronouns or
    adjectives:

        這本書是中文的。= 這本書中文的書。
        那條裙子是妹妹的。= 那條裙子是妹妹的裙子。
        姐姐的大衣是黑的。= 姐姐的大衣是黑的大衣。

    But the 是 . . . 的 construction can also be used with prepositional
    phrases and even whole verbal constructions:

        那些點心是給丁雲的。= 那些點心是丁雲的點心。
            Those pastries are for Ding Yun.
        這束花兒是我給她買的。= 這束花兒我給她買的花兒。
            This bunch of flowers is the one I bought for her.
        這本書是我在大學的圖書館借的。= 這本書是我在大學的圖書館借的書。
            This book is the one I borrowed from the university library.
