
## The use of adverbs 就 and 才

就 and 才 are often used before the main verb to indicate the speaker's
attitude as to whether the action expressed by the main verb is earlier
(就) or later (才) than expected:

    他們三點就來了﹐可是你們現在才來。
        They came as early as 3 o'clock, but you came as late as now.
    我們是老朋友﹐我們十年前就認識了。
        We are old friends, and we came to know each other as early as
        ten years ago.
    她不是我的同學﹐我上個星期才認識她。
        She is not a classmate of mine. I just got to know her a week ago.

Compare the following sentences:

    今年我們就想去中國學習。
        (The speaker indicates their eagerness in going to China as soon
        as this year.)
    今年我們才想去中國學習。
        (The speaker indicates that, although going to China this year,
        they should have gone earlier.)

As shown in the above sentences, when there is a time-word in a
sentence, 就 and 才 should be placed after it; when there is an optative
verb, on the other hand, 就 and 才 should be placed before it. Here is
the pattern:

    Time-word + 就/才 + optative verb + main verb
    她今年就可以去中國﹐我明年才可以去中國。
    他們今天下午三點就能出發﹐我們要晚上八點才能走。
