
## 我很好 -- Adjectival sentence without verb "to be".

Unlike English, Chinese sentences can sometimes go without a verb. In
the sentence 我很好, the adjectival phrase 很好 serves as the predicate
for the sentence. No verb "to be" is needed as in English (I /am/ very
well). This is generally true of a sentence that has an /adjective/ as
its predicate, even in negative sentences.

    e.g. 他們很忙, 我們不忙
        They are very busy, we are not.

Notice that in other types of sentences, however, verb 是 should still
be retained:

    他是我朋友
        He is my friend.

    我不是她的哥哥
        I am not her elder brother.


### Proper Response

Study the following two dialogues:

    A: 你媽媽是大夫嗎?
        Is your mother a doctor?
    B: 是, 她是大夫.
        Yes, she is a doctor.

    A: 你媽媽忙嗎?
        Is your mother busy?
    B: 忙, 她很忙.
        Yes, she is very busy.

To respond positively to a yes/no question, we often repeat the verb --
in the above case 是 and 忙 respectively -- as an equivalent to the
English "yes" before making the statement itself. Note therefore that
the response is not always 是.
