
## Prepositional construction with 在 (in, at) and 給 (for, to)

The object of 在 is often a place-word and the object of 給 is often the
beneficiary of the action expressed by the predicative verb. In Chinese,
a prepositional construction comes /before/ the verb it modifies:

    他在銀行工作。
        She works in a bank.
    but not 她工作在銀行。

    我給你們介紹一下兒。
        Let me introduce you to one another.
    but not 我介紹一下兒給你們。

To form a negative sentence, 不 is placed /before/ the prepositional
construction:

    他不在銀行工作。
    我不給你們介紹。
        I am not going to introduce you.

Adverbs such as 常, 都, 也 are also placed /before/ the prepositional
construction:

    我們都在 City Lit 學院學習漢語。
        We all study Chinese at the City Lit.
    你常給你媽媽信嗎﹖
        Do you often write to your mother?
    我爸爸也常給我寫信。
        My dad also often writes to me.
