
## The Numbers in Chinese

For Arabic numerals 0 to 10, the Chinese equivalents are:

    ○ (or 零), 一, 二, 三, 四, 五, 六, 七, 八, 九, 十

Further on, they are:

    十一 = 11, 十二 = 12, 十九 = 19
    二十 = 20, 二十一 = 21, 二十八 = 28
    三十 = 30, 四十 = 40, 九十 = 90, 九十九 = 99

    一百 = 100
    一百零一 = 101, 一百十 = 110, 一百十一 = 111
    三百二十七 = 327, 九百零九 = 909

    一千 = 1000
    一千零一 = 1001, 五千零四十 = 5040, 八千七百二十五 = 8725

    一萬 = 10,000
    四萬零八百零一 = 40,801

    一億 = 100,000,000

N.B.:

1.  Numbers like 15 are written e.g. 十五, not 一十五.

2.  A zero is pronounced or written when sandwiched by two digits: 101
    is 一百零一, and 3020 is 三千零二十. Notice the last zero in 3020 is
    /not/ pronounced because it is not between two other digits.

    If there are two or more zeroes in succession between two non-zero
    digits, as in 1001, only one is pronounced: 一千零一. However, if
    the two or more zeroes are separate and also sandwiched, as in
    40,801, each is read as normal: 四萬零八百零一.
