
## Word usage: 也 and 還

也 is used to mean "the same" as the previous statement. Hence the
relationship between the statement introduced by 也 and the previous one
is a /parallel/ relationship. 還, on the other hand, introduces an
/additional/ element to the previous statement.

    e.g. 你有一個問題﹐我也有一個問題。
        You have a question; I also have a question. The two are
        parallel here.
    我還有一個問題。
        I have already had some questions, but I still have one more.
        This is /in addition to/ the previous ones.

Under certain circumstances, 也 and 還 are interchangeable, but with
different emphasis:

    王老師教我們漢字和語法﹐他還教我們口語。
    王老師教我們漢字和語法﹐他也教我們口語。

Although both sentences can be roughly translated as "Professor Wang
teaches us Chinese characters and grammar; he also teaches us
conversation", their emphasis is different: the first sentence stresses
the fact that Wang teaches conversation /in addition to/ the other
subjects he teaches, whereas the second simply enumerates the three
subjects he teaches without prioritization.
