
## Time

The following are ways of telling the time in Chinese:

    A: 現在幾點﹖
    B: 現在...
    兩點	2:00
    十點半 (or 十點三十分)	10:30
    三點一刻 (or 三點十五分)	3:15
    十二點三刻 (or 十二點四十五分)	12:45
    兩點差五分 (or 差五分兩點)	1:55
    五點二十分	5:20
    六點零五分	6:05
    七點三十五分	7:35

Some notes:

1.  When zero is flanked by two digits, it is normally read as 零, as in
    三點零八分 (3:08) or 十二點零三分 (12:03).

2.  When the minutes are greater than 10, the word 分 is optional:

        七點十五 or 七點十五分

3.  "This morning" is 今天上午, not for example 這個上午; "every
    afternoon" is 每天下午, not 每下午.
