
## Placement of time-words

A time-word or -expression is normally placed either after the subject
or at the beginning of a sentence:

    我們十點半上中文課
    十點半我們上中文課

Some notes:

1.  A time-word does not take a preposition:

        我三點下課
        but not 我在三點下課

2.  A time-word should not be placed at the end of a sentence:

        她晚上來
            She came in the evening.
        or 晚上她來
        but not 她來晚上

3.  If you have more than one time-word, the bigger unit goes before the
    smaller:

        今天晚上八點
            at 8 o'clock this evening

4.  If you have both time-word and place-word, usually the time-word
    goes first:

        我晚上八點在圖書館等你
        你哥哥現在在哪兒工作﹖
        明天你幾點在哪兒上課﹖
            When and where are you going to have your class tomorrow?

5.  Time-word + 的 + noun (time-words modifying nouns)

        A: 你想看幾點的電影﹖
            What show do you want to see? /literally/ What time's film
            do you want to see?
        B: 我想看中午十二點半的(電影)。
            I want to see the film at 12:30 at noon.

        A: 這是今天的報嗎﹖
            Is this today's paper?
        B: 不是今天的報﹐是昨天的。
            It isn't today's paper, it's yesterday's.
