
## Other grammar notes

1.  Sentences with an adjectival predicate

    The verb 是 is not normally used in the predicate for a sentence
    where the main element of the predicate is an adjective:

        我們今天很高興。
        她的絲線衫太小。
        那個服務員非常年輕。

    In an affirmative sentence of this type, if the adjective is not
    preceded by adverbs such as 真, 太, 非常 or 更, it is usually
    qualified by the adverb 很. In such cases, 很 does not really mean
    "very"; 他很忙 and 他忙 mean virtually the same.

    Also, adverbs such as 很, 常, 也, 非常, 太 or 更 /cannot/ be used in
    affirmative-negative sentences of this type:

        你高興不高興﹖ but not 你很高興不很高興﹖
        她年輕不年輕﹖ but not 她非常高興不非常高興﹖
        你去不去﹖ but not 你也去不去﹖

2.  祝你 vs 祝賀你

    In general, 祝你 is used to extend well-wishes /in advance/ whereas
    祝賀你 is used to congratulate someone on something /already
    accomplished/:

        祝你生日好﹗ (One can say this on the day, or in advance.)
        祝賀你﹗ (Say this only when something has already been
        accomplished.)

3.  Reduplication of verbs

    To indicate that an action is only of a short duration or to soften
    the tone of a sentence in order to make it less formal, a verb can
    be repeated:

        我給你們介紹介紹。 (Notice the pattern is ABAB, not AABB.)
        你們想去看看她嗎﹖
        讓我想想。

    In the case of a monosyllabic verb, the character 一 can be inserted:

        讓我想一想。
        我們都想看一看她。

    Repeating a verb has the same effect as using the adverb 一下兒
    after the verb:

        用一下兒 = 用用 = 用一用
        看一下兒 = 看看 = 看一看
        介紹一下兒 = 介紹介紹
