
## The difference between 呢 and 吧 as sentence-ending particles

Either term can be used to soften the tone when placed at the end of a
question. However, they differ in usage.


### In questions

呢 is primarily used to indicate a mood of enquiry. It may appear in
questions with interrogative words such as 什麼 or 哪兒;
affirmative-negative questions such as 有沒有呢﹖好吃不好吃呢﹖; or
alternative questions with 還是, such as 吃面包還是火腿呢﹖

吧, on the other hand, is employed at the end of a question to indicate
a mood of uncertainty or speculation on the part of the speaker: 在這兒
停車吧﹖ 你不知道吧﹖


### In affirmative statements

呢 in this case is used to indicate the progressive aspect of an action
(e.g. 她學中文呢), or to affirm some fact, sometimes with exaggeration
(e.g. 晚上電影九點才開始呢。 從這兒去要走三天呢。)

吧 is often added at the end of an imperative sentence to soften the
tone, as in 我們走吧。 你再想想吧。
