
## 了解, 知道, 認識 and 懂

The meanings of the four terms here overlap.

Both 了解 and 知道 can mean "to know". However, 了解 implies some level
of understanding and comprehension of what one knows. Therefore 了解 can
be understood as a deeper or better knowing than 知道. Compare:

    你了解 (or 知道) 這個學校嗎﹖
    我不知道他是誰的孩子。(Here one can not use 了解.)

認識 is used to indicate that one can recognise this as this and not
others. It can also involve the process of acquiring such an ability.

    A: 哦﹐我認識她﹗
        Oh, I know her!
    B: 你是在哪兒認識她的﹖
        Where did you get to know her?

懂, on the other hand, is a direct equivalent of "to understand". Its
definition is not as broad as that of 了解 (to know and understand) and
is different from that of 知道 (to know).

    1. 你懂他說的漢語嗎﹖
    2. 你知道他叫甚麼名字嗎﹖
    3. 你了解他嗎﹖

Of these, sentence 3 wants to know more detailed information about him
than sentence 2, and sentence 2 wants more detailed information than
sentence 1.
