
## Sequential actions

To indicate that two actions take place, one immediately after the
other, we use the pattern

    Subject + verb + 了 (以後) 就 + verb ...
    e.g. 我們辦了簽証(以後)就回家。
    明天吃了早飯(以後)我們就出發。

The above pattern can be used for /future/ actions as well. To indicate
that both actions took place in the past, the particle 了 has to be
inserted at the end of the sentence:

    我們辦了簽証以後就回家了。
    他們早上沒吃早飯就走了。
