
## Questions with interrogative words 誰, 哪, 什麼

Unlike English which has to move such interrogative words as "what",
"when", "who" etc to the beginning of the sentence to form a question,
Chinese leaves the word order unchanged when forming questions using
such interrogative words as 誰, 哪, 什麼, etc:

1.  他是我弟弟. (He is my younger brother.)
    他是誰? (Who is he?)

2.  他是我們老師. (He is our teacher.)
    誰是你們老師? (Who is your teacher?)

3.  他是中國人. (He is Chinese.)
    他是哪國人? (What is his nationality?)

4.  這是中國地圖. (This is a map of China.)
    這是什麼地圖? (What map is this?)

5.  那是書. (That is a book.)
    那是什麼? (What is that?)

6.  這是她的車. (This is her car.)
    這是誰的車? (Whose car is this?)

As is obvious, one simply replaces the relevant words, which are what
one wants to ask about, with the interrogative words to form questions.
No change of word order takes place.
